//---------------------------------------------------------------------------
#ifndef formTAPIMainH
#define formTAPIMainH

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>

#include <Registry.hpp>

#include "vsTAPI.h"

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TvsTAPI *vsTAPI;
  TBitBtn *bbtnOpenTAPI;
  TBitBtn *bbtnPlaySoundTAPI;
  TBitBtn *bbtnAnswerTAPI;
  TBitBtn *bbtnHangupTAPI;
  TBitBtn *bbtnRecordTAPI;
  TMemo *memoTAPI;
  TEdit *edtTestWav;
  TLabel *lblSoundFile;
  TBitBtn *bbtnCall;
  TBitBtn *bbtnStopRecordTAPI;
  TEdit *edtMaxRecordTime;
  TLabel *Label1;
  void __fastcall bbtnOpenTAPIClick(TObject *Sender);
  void __fastcall vsTAPITapiError(AnsiString asErrorDesc,
          int iErrorSection, int iFunctionID);
  void __fastcall vsTAPICallInfoEvent(LINEMESSAGE *cbData,
          LINECALLINFO *pLineCallInfo);
  void __fastcall vsTAPICallerIDEvent(AnsiString asName,
          AnsiString asNumber, int iCallType, HCALL hCall);
  void __fastcall bbtnPlaySoundTAPIClick(TObject *Sender);
  void __fastcall bbtnAnswerTAPIClick(TObject *Sender);
  void __fastcall bbtnHangupTAPIClick(TObject *Sender);
  void __fastcall bbtnRecordTAPIClick(TObject *Sender);
  void __fastcall bbtnCallClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall vsTAPICallConnectedEvent(AnsiString asAppName,
          DWORD dwBearerMode, DWORD dwMediaMode, DWORD dwRate,
          AnsiString asCalledPartyName, AnsiString asComments,
          HCALL hCall);
  void __fastcall vsTAPICallDisconnectedEvent(HCALL hCall);
  void __fastcall bbtnStopRecordTAPIClick(TObject *Sender);
  void __fastcall vsTAPICallRingEvent(int iRingCount, const HCALL &hCall);
private:	// User declarations
  HCALL hIncomingCall_m;
  AnsiString asCallPhoneNum_m;

public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
